Package com.castlabs.android.exoplayer2.ext.amlnativeplayer

# Class AmlTrackRendererPlugin

java.lang.Object
com.castlabs.android.exoplayer2.ext.amlnativeplayer.AmlTrackRendererPlugin

All Implemented Interfaces:
  `TrackRendererPlugin`

public class AmlTrackRendererPlugin extends Object implements TrackRendererPlugin
A `TrackRendererPlugin` that provides `AmlTrackRendererBuilder` instances.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.castlabs.android.player.TrackRendererPlugin

  `TrackRendererPlugin.TrackRendererBuilder, TrackRendererPlugin.TrackRendererContainer, TrackRendererPlugin.Type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AmlTrackRendererPlugin()`
  Creates a new instance.
  `AmlTrackRendererPlugin(boolean doesVideoUseSharedMemory, boolean doesAudioUseSharedMemory, int videoSharedMemorySizeInBytes, int audioSharedMemorySizeInBytes)`
  Creates a new instance.
  `AmlTrackRendererPlugin(com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher dispatcher)`
  Creates a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TrackRendererPlugin.TrackRendererBuilder`
  `create()`
  `void`
  `setDispatcher(com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher dispatcher)`
  Sets the `IptvAnalyticsListener.EventDispatcher` to use.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AmlTrackRendererPlugin

    public AmlTrackRendererPlugin()
    Creates a new instance.

  - ### AmlTrackRendererPlugin

    public AmlTrackRendererPlugin(@Nullable com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher dispatcher)
    Creates a new instance.
    Parameters:
      `dispatcher` - The `IptvAnalyticsListener.EventDispatcher` to use.

  - ### AmlTrackRendererPlugin

    public AmlTrackRendererPlugin(boolean doesVideoUseSharedMemory, boolean doesAudioUseSharedMemory, int videoSharedMemorySizeInBytes, int audioSharedMemorySizeInBytes)
    Creates a new instance.
    Parameters:
      `doesVideoUseSharedMemory` - Whether video should use shared memory.
      `doesAudioUseSharedMemory` - Whether audio should use shared memory.
      `videoSharedMemorySizeInBytes` - The size of the shared memory for video in bytes.
      `audioSharedMemorySizeInBytes` - The size of the shared memory for audio in bytes.

- ## Method Details

  - ### setDispatcher

    public void setDispatcher(@Nullable com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher dispatcher)
    Sets the `IptvAnalyticsListener.EventDispatcher` to use.
    Parameters:
      `dispatcher` - The `IptvAnalyticsListener.EventDispatcher` to use.

  - ### create

    @NonNull public TrackRendererPlugin.TrackRendererBuilder create()
    Specified by:
      `create` in interface `TrackRendererPlugin`